var __extends = this.__extends || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    __.prototype = b.prototype;
    d.prototype = new __();
};
var app;
(function (app) {
    (function (contacts) {
        var ContactsTypesController = (function (_super) {
            __extends(ContactsTypesController, _super);
            function ContactsTypesController(utilities, $scope, $location, contactsTypeService) {
                _super.call(this, $scope);
                this.utilities = utilities;
                this.$scope = $scope;

                var getData = function () {
                    contactsTypeService.getContactTypes(function (result) {
                        $scope.contactTypes = result;
                    });
                };

                var deleteType = function (contactType) {
                    contactsTypeService.deleteContactType(contactType, function (result) {
                        if (result) {
                            getData();
                        }
                    });
                };

                getData();

                $scope.editType = function (contactType) {
                    $location.path("/contacttype/edit/" + contactType.ContactTypeId);
                };

                $scope.add = function () {
                    $location.path("/contacttype/edit/add");
                };

                $scope.deleteType = function (contactType) {
                    var buttons = [
                        {
                            mehtod: function () {
                                deleteType(contactType);
                            },
                            label: "Delete"
                        },
                        {
                            label: "Cancel"
                        }
                    ];
                    utilities.showMessage("Delete type " + contactType.Name + "?", false, buttons);
                };
            }
            return ContactsTypesController;
        })(app.core.controllers.CoreController);
        contacts.ContactsTypesController = ContactsTypesController;

        angular.module("app.contacts.contactsTypesController", ["app.core.services.utilities", "app.core.services.http", "app.contactTypes.services"]).controller("app.contacts.contactsTypesController", [
            "utilities", "$scope", "$location", "contactsTypeService",
            function (utilities, $scope, $location, contactsTypeService) {
                return new ContactsTypesController(utilities, $scope, $location, contactsTypeService);
            }]);
    })(app.contacts || (app.contacts = {}));
    var contacts = app.contacts;
})(app || (app = {}));
//# sourceMappingURL=contactsTypesController.js.map
