
module app.contacts {

    import IUtilities = app.core.services.IUtilities;
    import IContactType = app.contactTypes.models.IContactType;


    interface IContactTypesEditScope extends app.core.controllers.ICoreScope {
        save: () => void;
        cancel: () => void;
        model: app.contactTypes.models.IContactType;
    }

    interface IContactTypeRouteParams extends ng.route.IRouteParamsService {
        id: any;
    }

    class ContactsTypesEditController extends app.core.controllers.CoreController {

        constructor(
            contactsTypeService: app.contactTypes.services.IContactsTypeService,
            private utilities: IUtilities,
            private $scope: IContactTypesEditScope,
            $routeParams: IContactTypeRouteParams,
            private $location: ng.ILocationService) {
            super($scope);


            $scope.save = () => {
                contactsTypeService.saveContactType($scope.model, (result: IContactType)=> {
                    $scope.model = result;
                    $location.path("/contacttypes");
                });
            };

            $scope.cancel = () => {
                $location.path("/contacttypes");
            };

            var id = $routeParams.id;
            if (id === "add") {
                $scope.model = {
                    ContactTypeId: 0,
                    Name: ""
                };
            } else {
                contactsTypeService.getContactType(id, (result: IContactType)=> {
                    $scope.model = result;
                });
            }

        }
    }

    angular.module("app.contacts.contactsTypesEditController", ["app.core.services.utilities", "app.contactTypes.services"])
        .controller("app.contacts.contactsTypesEditController", ["contactsTypeService", "utilities", "$scope", "$routeParams", "$location",
            function (
                contactsTypeService: app.contactTypes.services.IContactsTypeService,
                utilities: IUtilities,
                $scope: IContactTypesEditScope,
                $routeParams: IContactTypeRouteParams,
                $location: ng.ILocationService) {
                return new ContactsTypesEditController(contactsTypeService, utilities, $scope, $routeParams, $location);
            }]);
}