var app;
(function (app) {
    (function (contactTypes) {
        (function (services) {
            var ContactsTypeService = (function () {
                function ContactsTypeService(http, utilities) {
                    this.getContactTypes = function (callback) {
                        return http.get("/ContactTypes/Get", function (result) {
                            if (result.Success) {
                                callback(result.Result);
                            }
                        }, true);
                    };

                    this.deleteContactType = function (contactType, callback) {
                        return http.post("/ContactTypes/Delete", contactType, function (result) {
                            callback(result.Success);
                        }, true);
                    };

                    this.getContactType = function (id, callback) {
                        return http.get("/ContactTypes/GetById", function (result) {
                            if (result.Success) {
                                callback(result.Result);
                            }
                        }, true, { contactTypeId: id });
                    };

                    this.saveContactType = function (contactType, callback) {
                        return http.post("/ContactTypes/Save", contactType, function (result) {
                            if (result.Result) {
                                callback(result.Result);
                            }
                        }, true);
                    };
                }
                return ContactsTypeService;
            })();

            angular.module("app.contactTypes.services", []).factory("contactsTypeService", [
                "http", "utilities", "globalsService",
                function (http, utilities) {
                    return new ContactsTypeService(http, utilities);
                }]);
        })(contactTypes.services || (contactTypes.services = {}));
        var services = contactTypes.services;
    })(app.contactTypes || (app.contactTypes = {}));
    var contactTypes = app.contactTypes;
})(app || (app = {}));
//# sourceMappingURL=contactsTypeService.js.map
